/* Container for the movie details card */
.detailsContainer {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding: 30px;
  background: linear-gradient(to bottom right, #1a1111, #1028da);
  height: auto;
  box-sizing: border-box;
}

.movieDetails {
  background-color: #ffffff;
  border-radius: 15px;
  -webkit-box-shadow: 5px 5px 15px 5px #000000;
  box-shadow: 5px 5px 15px 5px #000000;
  padding: 25px;
  margin-top: 20px;
  max-width: 800px;
  width: 100%;
  transition: transform 0.3s ease-in-out;
}

.image {
  border-radius: 20px;
  width: 100%;
  height: auto;
  max-width: 600px; 
}

.link-video:hover {
  background: #1a1111;
  color: white;
}

.title-film {
  font-size: 2.5rem;
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 20px;
  text-align: center;
  color: black;
  background-color: white;
}


.genre,
.date,
.synopsis {
  margin: 15px 0;
  font-size: 1.1rem;
  color: black;
  background-color: white;
}

.genre strong,
.date strong,
.synopsis strong {
  font-weight: 600;
  color: black;
  background-color: white;
}

.synopsis {
  line-height: 1.6;
  font-size: 1.05rem;
}

.link-video {
  display: flex;
  justify-content: center;
  margin: 25px 0;
  padding: 10px 15px;
  width: 100%;
  background-color: white;
  color: black;
  text-align: center;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 600;
  border-radius: 20px;
  transition: background-color 0.3s ease;
  cursor: pointer;
}

.trailer-span {
  background-color: red;
  padding: 10px;
  border-radius: 20px;
}

.container-image {
  background-color: white;
  display: flex;
  justify-content: center;

}

.nav-image {
  display: flex;
  border-radius: 20px;
  justify-content: center;
  align-items: center;
  margin: 30px;
}


.title-details {
  font-size: 2.2rem;
  font-weight: 700;
  color: white;
}

/* Loading Text */
p {
  text-align: center;
  font-size: 1.2rem;
  color: #fff;
}

/* Estilo del overlay del modal */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.75);
  z-index: 1000;
}

/* Estilo del modal */
.modal {
  position: fixed;
  top: 30%;
  left: 50%;
  right: auto;
  bottom: auto;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  width: 90%;
  max-width: 800px;
  background-color: #fff;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.modal button {
  position: absolute;
  top: 10px;
  right: 10px;
  background: red;
  color: white;
  border: none;
  font-size: medium;
  border-radius: 20px;
  padding: 5px 10px;
  cursor: pointer;
}

.modal button:hover {
  background-color: rgb(168, 2, 2);
}